import { createApp } from 'vue';
import './style.scss';
import App from './App.vue';

import { Quasar } from 'quasar';
import { router } from './lib/router';

// Import icon libraries
import '@quasar/extras/material-icons/material-icons.css';

import '@quasar/extras/mdi-v7/mdi-v7.css';

// Import Quasar css
import 'quasar/src/css/index.sass';
import { createPinia } from 'pinia';

const myApp = createApp(App);

const pinia = createPinia();
myApp.use(Quasar, {
	plugins: {}, // import Quasar plugins and add here
});
myApp.use(pinia);
myApp.use(router);
myApp.mount('#app');
